﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TChartMarks
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            tChart1.Axes.Left.SetMinMax(0, 1250);
            tChart1.Axes.Bottom.SetMinMax(0, 25);


            double[, ] pointArray = new double[,] {    {0, 823},
                                                  {1, 945},
                                                  {2, 997},
                                                  {3, 992},
                                                  {4, 1071},
                                                  {5, 1056},
                                                  {6, 936},
                                                  {7, 898},
                                                  {8, 927},
                                                  {9, 858},
                                                  {10, 807},
                                                  {11, 762},
                                                  {12, 869},
                                                  {13, 904},
                                                  {14, 851},
                                                  {15, 895},
                                                  {16, 998},
                                                  {17, 1103},
                                                  {18, 1201},
                                                  {19, 1122},
                                                  {20, 1032},
                                                  {21, 930},
                                                  {22, 950},
                                                  {23, 946},
                                                  {24, 934}
                                            };


            for (int i = 0; i < 25; i++)
                fastLine1.Add(pointArray[i, 0], pointArray[i, 1]);
      
            fastLine1.XValues.DateTime = false;
            fastLine1.Marks.Style = Steema.TeeChart.Styles.MarksStyles.Value;

        }

        private void button1_Click(object sender, EventArgs e)
        {
            editor1.Chart = tChart1;
            editor1.ShowModal();
        }
    }
}
